# <img src="https://github.com/pip-webui/pip-webui/raw/master/doc/Logo.png" alt="Pip.WebUI Logo" style="max-width:30%"> <br/> Split View Layout

![](https://img.shields.io/badge/license-MIT-blue.svg)

**Split View** is a layout to organize complex hierarchical content. It lets users to drilldown through content while animating movement from panels from left to right and back. To simplify navigation Split View enables breadcrumb in **Appbar**

<a href="https://github.com/pip-webui/pip-webui-split/raw/master/doc/images/img-split-view-layout.png" style="border: 3px ridge #c8d2df; margin: 0 auto; display: inline-block">
    <img src="https://github.com/pip-webui/pip-webui-split/raw/master/doc/images/img-split-view-layout.png"/>
</a>

See online sample [here...](http://webui.pipdevs.com/pip-webui-split/split/index.html)


## Learn more about the module

- [User's guide](https://github.com/pip-webui/pip-webui-split/blob/master/doc/UsersGuide.md)
- [Online samples](http://webui.pipdevs.com/pip-webui-split/index.html)
- [API reference](http://webui-api.pipdevs.com/pip-webui-split/index.html)
- [Developer's guide](https://github.com/pip-webui/pip-webui-split/blob/master/doc/DevelopersGuide.md)
- [Changelog](https://github.com/pip-webui/pip-webui-split/blob/master/CHANGELOG.md)
- [Pip.WebUI project website](http://www.pipwebui.org)
- [Pip.WebUI project wiki](https://github.com/pip-webui/pip-webui/wiki)
- [Pip.WebUI discussion forum](https://groups.google.com/forum/#!forum/pip-webui)
- [Pip.WebUI team blog](https://pip-webui.blogspot.com/)

## <a name="dependencies"></a>Module dependencies

* [pip-webui-lib](https://github.com/pip-webui/pip-webui-lib): angular, angular material and other 3rd party libraries
* [pip-webui-css](https://github.com/pip-webui/pip-webui-css): CSS styles and web components
* [pip-webui-services](https://github.com/pip-webui/pip-webui-services): core services
* [pip-webui-nav](https://github.com/pip-webui/pip-webui-nav): appbar for split layout integration

## <a name="license"></a>License

This module is released under [MIT license](License) and totally free for commercial and non-commercial use.
